import React from 'react';
import type { IFormControlProps } from './types';
export declare type IFormControlContext = Omit<ReturnType<typeof useFormControlProvider>, 'htmlProps'>;
export declare const FormControlContext: React.Context<{}>;
export declare function useFormControlProvider(props: IFormControlProps): {
    isRequired: boolean;
    isInvalid: boolean;
    isReadOnly: boolean;
    isDisabled: boolean;
    hasFeedbackText: boolean;
    setHasFeedbackText: React.Dispatch<React.SetStateAction<boolean>>;
    hasHelpText: boolean;
    setHasHelpText: React.Dispatch<React.SetStateAction<boolean>>;
    nativeID: string;
    labelId: string;
    feedbackId: string;
    helpTextId: string;
    htmlProps: {
        children?: any;
        _text?: import("../../primitives").ITextProps | undefined;
        bg?: import("../../types").ResponsiveValue<"contrastThreshold" | "white" | "black" | "lightText" | "darkText" | "dark.50" | "dark.100" | "dark.200" | "dark.300" | "dark.400" | "dark.500" | "dark.600" | "dark.700" | "dark.800" | "dark.900" | "rose.50" | "rose.100" | "rose.200" | "rose.300" | "rose.400" | "rose.500" | "rose.600" | "rose.700" | "rose.800" | "rose.900" | "pink.50" | "pink.100" | "pink.200" | "pink.300" | "pink.400" | "pink.500" | "pink.600" | "pink.700" | "pink.800" | "pink.900" | "fuchsia.50" | "fuchsia.100" | "fuchsia.200" | "fuchsia.300" | "fuchsia.400" | "fuchsia.500" | "fuchsia.600" | "fuchsia.700" | "fuchsia.800" | "fuchsia.900" | "purple.50" | "purple.100" | "purple.200" | "purple.300" | "purple.400" | "purple.500" | "purple.600" | "purple.700" | "purple.800" | "purple.900" | "violet.50" | "violet.100" | "violet.200" | "violet.300" | "violet.400" | "violet.500" | "violet.600" | "violet.700" | "violet.800" | "violet.900" | "indigo.50" | "indigo.100" | "indigo.200" | "indigo.300" | "indigo.400" | "indigo.500" | "indigo.600" | "indigo.700" | "indigo.800" | "indigo.900" | "blue.50" | "blue.100" | "blue.200" | "blue.300" | "blue.400" | "blue.500" | "blue.600" | "blue.700" | "blue.800" | "blue.900" | "lightBlue.50" | "lightBlue.100" | "lightBlue.200" | "lightBlue.300" | "lightBlue.400" | "lightBlue.500" | "lightBlue.600" | "lightBlue.700" | "lightBlue.800" | "lightBlue.900" | "darkBlue.50" | "darkBlue.100" | "darkBlue.200" | "darkBlue.300" | "darkBlue.400" | "darkBlue.500" | "darkBlue.600" | "darkBlue.700" | "darkBlue.800" | "darkBlue.900" | "cyan.50" | "cyan.100" | "cyan.200" | "cyan.300" | "cyan.400" | "cyan.500" | "cyan.600" | "cyan.700" | "cyan.800" | "cyan.900" | "teal.50" | "teal.100" | "teal.200" | "teal.300" | "teal.400" | "teal.500" | "teal.600" | "teal.700" | "teal.800" | "teal.900" | "emerald.50" | "emerald.100" | "emerald.200" | "emerald.300" | "emerald.400" | "emerald.500" | "emerald.600" | "emerald.700" | "emerald.800" | "emerald.900" | "green.50" | "green.100" | "green.200" | "green.300" | "green.400" | "green.500" | "green.600" | "green.700" | "green.800" | "green.900" | "lime.50" | "lime.100" | "lime.200" | "lime.300" | "lime.400" | "lime.500" | "lime.600" | "lime.700" | "lime.800" | "lime.900" | "yellow.50" | "yellow.100" | "yellow.200" | "yellow.300" | "yellow.400" | "yellow.500" | "yellow.600" | "yellow.700" | "yellow.800" | "yellow.900" | "amber.50" | "amber.100" | "amber.200" | "amber.300" | "amber.400" | "amber.500" | "amber.600" | "amber.700" | "amber.800" | "amber.900" | "orange.50" | "orange.100" | "orange.200" | "orange.300" | "orange.400" | "orange.500" | "orange.600" | "orange.700" | "orange.800" | "orange.900" | "red.50" | "red.100" | "red.200" | "red.300" | "red.400" | "red.500" | "red.600" | "red.700" | "red.800" | "red.900" | "warmGray.50" | "warmGray.100" | "warmGray.200" | "warmGray.300" | "warmGray.400" | "warmGray.500" | "warmGray.600" | "warmGray.700" | "warmGray.800" | "warmGray.900" | "trueGray.50" | "trueGray.100" | "trueGray.200" | "trueGray.300" | "trueGray.400" | "trueGray.500" | "trueGray.600" | "trueGray.700" | "trueGray.800" | "trueGray.900" | "gray.50" | "gray.100" | "gray.200" | "gray.300" | "gray.400" | "gray.500" | "gray.600" | "gray.700" | "gray.800" | "gray.900" | "coolGray.50" | "coolGray.100" | "coolGray.200" | "coolGray.300" | "coolGray.400" | "coolGray.500" | "coolGray.600" | "coolGray.700" | "coolGray.800" | "coolGray.900" | "blueGray.50" | "blueGray.100" | "blueGray.200" | "blueGray.300" | "blueGray.400" | "blueGray.500" | "blueGray.600" | "blueGray.700" | "blueGray.800" | "blueGray.900" | (string & {}) | import("../../primitives/Box/types").ILinearGradientProps>;
        background?: import("../../types").ResponsiveValue<"contrastThreshold" | "white" | "black" | "lightText" | "darkText" | "dark.50" | "dark.100" | "dark.200" | "dark.300" | "dark.400" | "dark.500" | "dark.600" | "dark.700" | "dark.800" | "dark.900" | "rose.50" | "rose.100" | "rose.200" | "rose.300" | "rose.400" | "rose.500" | "rose.600" | "rose.700" | "rose.800" | "rose.900" | "pink.50" | "pink.100" | "pink.200" | "pink.300" | "pink.400" | "pink.500" | "pink.600" | "pink.700" | "pink.800" | "pink.900" | "fuchsia.50" | "fuchsia.100" | "fuchsia.200" | "fuchsia.300" | "fuchsia.400" | "fuchsia.500" | "fuchsia.600" | "fuchsia.700" | "fuchsia.800" | "fuchsia.900" | "purple.50" | "purple.100" | "purple.200" | "purple.300" | "purple.400" | "purple.500" | "purple.600" | "purple.700" | "purple.800" | "purple.900" | "violet.50" | "violet.100" | "violet.200" | "violet.300" | "violet.400" | "violet.500" | "violet.600" | "violet.700" | "violet.800" | "violet.900" | "indigo.50" | "indigo.100" | "indigo.200" | "indigo.300" | "indigo.400" | "indigo.500" | "indigo.600" | "indigo.700" | "indigo.800" | "indigo.900" | "blue.50" | "blue.100" | "blue.200" | "blue.300" | "blue.400" | "blue.500" | "blue.600" | "blue.700" | "blue.800" | "blue.900" | "lightBlue.50" | "lightBlue.100" | "lightBlue.200" | "lightBlue.300" | "lightBlue.400" | "lightBlue.500" | "lightBlue.600" | "lightBlue.700" | "lightBlue.800" | "lightBlue.900" | "darkBlue.50" | "darkBlue.100" | "darkBlue.200" | "darkBlue.300" | "darkBlue.400" | "darkBlue.500" | "darkBlue.600" | "darkBlue.700" | "darkBlue.800" | "darkBlue.900" | "cyan.50" | "cyan.100" | "cyan.200" | "cyan.300" | "cyan.400" | "cyan.500" | "cyan.600" | "cyan.700" | "cyan.800" | "cyan.900" | "teal.50" | "teal.100" | "teal.200" | "teal.300" | "teal.400" | "teal.500" | "teal.600" | "teal.700" | "teal.800" | "teal.900" | "emerald.50" | "emerald.100" | "emerald.200" | "emerald.300" | "emerald.400" | "emerald.500" | "emerald.600" | "emerald.700" | "emerald.800" | "emerald.900" | "green.50" | "green.100" | "green.200" | "green.300" | "green.400" | "green.500" | "green.600" | "green.700" | "green.800" | "green.900" | "lime.50" | "lime.100" | "lime.200" | "lime.300" | "lime.400" | "lime.500" | "lime.600" | "lime.700" | "lime.800" | "lime.900" | "yellow.50" | "yellow.100" | "yellow.200" | "yellow.300" | "yellow.400" | "yellow.500" | "yellow.600" | "yellow.700" | "yellow.800" | "yellow.900" | "amber.50" | "amber.100" | "amber.200" | "amber.300" | "amber.400" | "amber.500" | "amber.600" | "amber.700" | "amber.800" | "amber.900" | "orange.50" | "orange.100" | "orange.200" | "orange.300" | "orange.400" | "orange.500" | "orange.600" | "orange.700" | "orange.800" | "orange.900" | "red.50" | "red.100" | "red.200" | "red.300" | "red.400" | "red.500" | "red.600" | "red.700" | "red.800" | "red.900" | "warmGray.50" | "warmGray.100" | "warmGray.200" | "warmGray.300" | "warmGray.400" | "warmGray.500" | "warmGray.600" | "warmGray.700" | "warmGray.800" | "warmGray.900" | "trueGray.50" | "trueGray.100" | "trueGray.200" | "trueGray.300" | "trueGray.400" | "trueGray.500" | "trueGray.600" | "trueGray.700" | "trueGray.800" | "trueGray.900" | "gray.50" | "gray.100" | "gray.200" | "gray.300" | "gray.400" | "gray.500" | "gray.600" | "gray.700" | "gray.800" | "gray.900" | "coolGray.50" | "coolGray.100" | "coolGray.200" | "coolGray.300" | "coolGray.400" | "coolGray.500" | "coolGray.600" | "coolGray.700" | "coolGray.800" | "coolGray.900" | "blueGray.50" | "blueGray.100" | "blueGray.200" | "blueGray.300" | "blueGray.400" | "blueGray.500" | "blueGray.600" | "blueGray.700" | "blueGray.800" | "blueGray.900" | (string & {}) | import("../../primitives/Box/types").ILinearGradientProps>;
        bgColor?: import("../../types").ResponsiveValue<"contrastThreshold" | "white" | "black" | "lightText" | "darkText" | "dark.50" | "dark.100" | "dark.200" | "dark.300" | "dark.400" | "dark.500" | "dark.600" | "dark.700" | "dark.800" | "dark.900" | "rose.50" | "rose.100" | "rose.200" | "rose.300" | "rose.400" | "rose.500" | "rose.600" | "rose.700" | "rose.800" | "rose.900" | "pink.50" | "pink.100" | "pink.200" | "pink.300" | "pink.400" | "pink.500" | "pink.600" | "pink.700" | "pink.800" | "pink.900" | "fuchsia.50" | "fuchsia.100" | "fuchsia.200" | "fuchsia.300" | "fuchsia.400" | "fuchsia.500" | "fuchsia.600" | "fuchsia.700" | "fuchsia.800" | "fuchsia.900" | "purple.50" | "purple.100" | "purple.200" | "purple.300" | "purple.400" | "purple.500" | "purple.600" | "purple.700" | "purple.800" | "purple.900" | "violet.50" | "violet.100" | "violet.200" | "violet.300" | "violet.400" | "violet.500" | "violet.600" | "violet.700" | "violet.800" | "violet.900" | "indigo.50" | "indigo.100" | "indigo.200" | "indigo.300" | "indigo.400" | "indigo.500" | "indigo.600" | "indigo.700" | "indigo.800" | "indigo.900" | "blue.50" | "blue.100" | "blue.200" | "blue.300" | "blue.400" | "blue.500" | "blue.600" | "blue.700" | "blue.800" | "blue.900" | "lightBlue.50" | "lightBlue.100" | "lightBlue.200" | "lightBlue.300" | "lightBlue.400" | "lightBlue.500" | "lightBlue.600" | "lightBlue.700" | "lightBlue.800" | "lightBlue.900" | "darkBlue.50" | "darkBlue.100" | "darkBlue.200" | "darkBlue.300" | "darkBlue.400" | "darkBlue.500" | "darkBlue.600" | "darkBlue.700" | "darkBlue.800" | "darkBlue.900" | "cyan.50" | "cyan.100" | "cyan.200" | "cyan.300" | "cyan.400" | "cyan.500" | "cyan.600" | "cyan.700" | "cyan.800" | "cyan.900" | "teal.50" | "teal.100" | "teal.200" | "teal.300" | "teal.400" | "teal.500" | "teal.600" | "teal.700" | "teal.800" | "teal.900" | "emerald.50" | "emerald.100" | "emerald.200" | "emerald.300" | "emerald.400" | "emerald.500" | "emerald.600" | "emerald.700" | "emerald.800" | "emerald.900" | "green.50" | "green.100" | "green.200" | "green.300" | "green.400" | "green.500" | "green.600" | "green.700" | "green.800" | "green.900" | "lime.50" | "lime.100" | "lime.200" | "lime.300" | "lime.400" | "lime.500" | "lime.600" | "lime.700" | "lime.800" | "lime.900" | "yellow.50" | "yellow.100" | "yellow.200" | "yellow.300" | "yellow.400" | "yellow.500" | "yellow.600" | "yellow.700" | "yellow.800" | "yellow.900" | "amber.50" | "amber.100" | "amber.200" | "amber.300" | "amber.400" | "amber.500" | "amber.600" | "amber.700" | "amber.800" | "amber.900" | "orange.50" | "orange.100" | "orange.200" | "orange.300" | "orange.400" | "orange.500" | "orange.600" | "orange.700" | "orange.800" | "orange.900" | "red.50" | "red.100" | "red.200" | "red.300" | "red.400" | "red.500" | "red.600" | "red.700" | "red.800" | "red.900" | "warmGray.50" | "warmGray.100" | "warmGray.200" | "warmGray.300" | "warmGray.400" | "warmGray.500" | "warmGray.600" | "warmGray.700" | "warmGray.800" | "warmGray.900" | "trueGray.50" | "trueGray.100" | "trueGray.200" | "trueGray.300" | "trueGray.400" | "trueGray.500" | "trueGray.600" | "trueGray.700" | "trueGray.800" | "trueGray.900" | "gray.50" | "gray.100" | "gray.200" | "gray.300" | "gray.400" | "gray.500" | "gray.600" | "gray.700" | "gray.800" | "gray.900" | "coolGray.50" | "coolGray.100" | "coolGray.200" | "coolGray.300" | "coolGray.400" | "coolGray.500" | "coolGray.600" | "coolGray.700" | "coolGray.800" | "coolGray.900" | "blueGray.50" | "blueGray.100" | "blueGray.200" | "blueGray.300" | "blueGray.400" | "blueGray.500" | "blueGray.600" | "blueGray.700" | "blueGray.800" | "blueGray.900" | (string & {}) | import("../../primitives/Box/types").ILinearGradientProps>;
        backgroundColor?: import("../../types").ResponsiveValue<"contrastThreshold" | "white" | "black" | "lightText" | "darkText" | "dark.50" | "dark.100" | "dark.200" | "dark.300" | "dark.400" | "dark.500" | "dark.600" | "dark.700" | "dark.800" | "dark.900" | "rose.50" | "rose.100" | "rose.200" | "rose.300" | "rose.400" | "rose.500" | "rose.600" | "rose.700" | "rose.800" | "rose.900" | "pink.50" | "pink.100" | "pink.200" | "pink.300" | "pink.400" | "pink.500" | "pink.600" | "pink.700" | "pink.800" | "pink.900" | "fuchsia.50" | "fuchsia.100" | "fuchsia.200" | "fuchsia.300" | "fuchsia.400" | "fuchsia.500" | "fuchsia.600" | "fuchsia.700" | "fuchsia.800" | "fuchsia.900" | "purple.50" | "purple.100" | "purple.200" | "purple.300" | "purple.400" | "purple.500" | "purple.600" | "purple.700" | "purple.800" | "purple.900" | "violet.50" | "violet.100" | "violet.200" | "violet.300" | "violet.400" | "violet.500" | "violet.600" | "violet.700" | "violet.800" | "violet.900" | "indigo.50" | "indigo.100" | "indigo.200" | "indigo.300" | "indigo.400" | "indigo.500" | "indigo.600" | "indigo.700" | "indigo.800" | "indigo.900" | "blue.50" | "blue.100" | "blue.200" | "blue.300" | "blue.400" | "blue.500" | "blue.600" | "blue.700" | "blue.800" | "blue.900" | "lightBlue.50" | "lightBlue.100" | "lightBlue.200" | "lightBlue.300" | "lightBlue.400" | "lightBlue.500" | "lightBlue.600" | "lightBlue.700" | "lightBlue.800" | "lightBlue.900" | "darkBlue.50" | "darkBlue.100" | "darkBlue.200" | "darkBlue.300" | "darkBlue.400" | "darkBlue.500" | "darkBlue.600" | "darkBlue.700" | "darkBlue.800" | "darkBlue.900" | "cyan.50" | "cyan.100" | "cyan.200" | "cyan.300" | "cyan.400" | "cyan.500" | "cyan.600" | "cyan.700" | "cyan.800" | "cyan.900" | "teal.50" | "teal.100" | "teal.200" | "teal.300" | "teal.400" | "teal.500" | "teal.600" | "teal.700" | "teal.800" | "teal.900" | "emerald.50" | "emerald.100" | "emerald.200" | "emerald.300" | "emerald.400" | "emerald.500" | "emerald.600" | "emerald.700" | "emerald.800" | "emerald.900" | "green.50" | "green.100" | "green.200" | "green.300" | "green.400" | "green.500" | "green.600" | "green.700" | "green.800" | "green.900" | "lime.50" | "lime.100" | "lime.200" | "lime.300" | "lime.400" | "lime.500" | "lime.600" | "lime.700" | "lime.800" | "lime.900" | "yellow.50" | "yellow.100" | "yellow.200" | "yellow.300" | "yellow.400" | "yellow.500" | "yellow.600" | "yellow.700" | "yellow.800" | "yellow.900" | "amber.50" | "amber.100" | "amber.200" | "amber.300" | "amber.400" | "amber.500" | "amber.600" | "amber.700" | "amber.800" | "amber.900" | "orange.50" | "orange.100" | "orange.200" | "orange.300" | "orange.400" | "orange.500" | "orange.600" | "orange.700" | "orange.800" | "orange.900" | "red.50" | "red.100" | "red.200" | "red.300" | "red.400" | "red.500" | "red.600" | "red.700" | "red.800" | "red.900" | "warmGray.50" | "warmGray.100" | "warmGray.200" | "warmGray.300" | "warmGray.400" | "warmGray.500" | "warmGray.600" | "warmGray.700" | "warmGray.800" | "warmGray.900" | "trueGray.50" | "trueGray.100" | "trueGray.200" | "trueGray.300" | "trueGray.400" | "trueGray.500" | "trueGray.600" | "trueGray.700" | "trueGray.800" | "trueGray.900" | "gray.50" | "gray.100" | "gray.200" | "gray.300" | "gray.400" | "gray.500" | "gray.600" | "gray.700" | "gray.800" | "gray.900" | "coolGray.50" | "coolGray.100" | "coolGray.200" | "coolGray.300" | "coolGray.400" | "coolGray.500" | "coolGray.600" | "coolGray.700" | "coolGray.800" | "coolGray.900" | "blueGray.50" | "blueGray.100" | "blueGray.200" | "blueGray.300" | "blueGray.400" | "blueGray.500" | "blueGray.600" | "blueGray.700" | "blueGray.800" | "blueGray.900" | (string & {}) | import("../../primitives/Box/types").ILinearGradientProps>;
        hitSlop?: import("react-native").Insets | undefined;
        onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
        pointerEvents?: "auto" | "none" | "box-none" | "box-only" | undefined;
        removeClippedSubviews?: boolean | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        testID?: string | undefined;
        collapsable?: boolean | undefined;
        needsOffscreenAlphaCompositing?: boolean | undefined;
        renderToHardwareTextureAndroid?: boolean | undefined;
        focusable?: boolean | undefined;
        shouldRasterizeIOS?: boolean | undefined;
        isTVSelectable?: boolean | undefined;
        hasTVPreferredFocus?: boolean | undefined;
        tvParallaxProperties?: import("react-native").TVParallaxProperties | undefined;
        tvParallaxShiftDistanceX?: number | undefined;
        tvParallaxShiftDistanceY?: number | undefined;
        tvParallaxTiltAngle?: number | undefined;
        tvParallaxMagnification?: number | undefined;
        onStartShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onMoveShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onResponderEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderGrant?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderReject?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderRelease?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderTerminationRequest?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onResponderTerminate?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onStartShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onMoveShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onTouchStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchCancel?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchEndCapture?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        accessible?: boolean | undefined;
        accessibilityActions?: readonly Readonly<{
            name: string;
            label?: string | undefined;
        }>[] | undefined;
        accessibilityLabel?: string | undefined;
        accessibilityRole?: import("react-native").AccessibilityRole | undefined;
        accessibilityState?: import("react-native").AccessibilityState | undefined;
        accessibilityHint?: string | undefined;
        accessibilityValue?: import("react-native").AccessibilityValue | undefined;
        onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
        accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
        importantForAccessibility?: "auto" | "no" | "yes" | "no-hide-descendants" | undefined;
        accessibilityElementsHidden?: boolean | undefined;
        accessibilityViewIsModal?: boolean | undefined;
        onAccessibilityEscape?: (() => void) | undefined;
        onAccessibilityTap?: (() => void) | undefined;
        onMagicTap?: (() => void) | undefined;
        accessibilityIgnoresInvertColors?: boolean | undefined;
        safeArea?: number | boolean | undefined;
        safeAreaX?: number | boolean | undefined;
        safeAreaY?: number | boolean | undefined;
        safeAreaTop?: number | boolean | undefined;
        safeAreaBottom?: number | boolean | undefined;
        safeAreaLeft?: number | boolean | undefined;
        safeAreaRight?: number | boolean | undefined;
        _web?: IFormControlProps | undefined;
        _ios?: IFormControlProps | undefined;
        _android?: IFormControlProps | undefined;
        _light?: IFormControlProps | undefined;
        _dark?: IFormControlProps | undefined;
        p?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        margin?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        m?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        marginTop?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        mt?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        marginRight?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        mr?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        marginBottom?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        mb?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        marginLeft?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        ml?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        marginX?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        mx?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        marginY?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        my?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        padding?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        paddingTop?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        pt?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        paddingRight?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        pr?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        paddingBottom?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        pb?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        paddingLeft?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        pl?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        paddingX?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        px?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        paddingY?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        py?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        borderWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
        borderStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderStyle | undefined>;
        borderColor?: import("../../types").ColorType;
        borderRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        borderTop?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTop<0 | (string & {})> | undefined>;
        borderTopWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
        borderTopStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTopStyle | undefined>;
        borderTopColor?: import("../../types").ColorType;
        borderTopLeftRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        borderTopRightRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        borderRight?: import("../../types").ResponsiveValue<import("csstype").Property.BorderRight<0 | (string & {})> | undefined>;
        borderRightWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
        borderRightStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderRightStyle | undefined>;
        borderRightColor?: import("../../types").ColorType;
        borderBottom?: import("../../types").ResponsiveValue<import("csstype").Property.BorderBottom<0 | (string & {})> | undefined>;
        borderBottomWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
        borderBottomStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderBottomStyle | undefined>;
        borderBottomColor?: import("../../types").ColorType;
        borderBottomLeftRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        borderBottomRightRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        borderLeft?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeft<0 | (string & {})> | undefined>;
        borderLeftWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
        borderLeftStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeftStyle | undefined>;
        borderLeftColor?: import("../../types").ColorType;
        borderX?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeft<0 | (string & {})> | undefined>;
        borderY?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTop<0 | (string & {})> | undefined>;
        width?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        w?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        height?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        h?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        display?: import("../../types").ResponsiveValue<import("csstype").Property.Display | undefined>;
        minWidth?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        minW?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        minH?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        minHeight?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        maxWidth?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        maxW?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        maxHeight?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        maxH?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        size?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
        verticalAlign?: import("../../types").ResponsiveValue<import("csstype").Property.VerticalAlign<0 | (string & {})> | undefined>;
        overflow?: import("../../types").ResponsiveValue<import("csstype").Property.Overflow | undefined>;
        overflowX?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowX | undefined>;
        overflowY?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowY | undefined>;
        alignItems?: import("../../types").ResponsiveValue<import("csstype").Property.AlignItems | undefined>;
        alignContent?: import("../../types").ResponsiveValue<import("csstype").Property.AlignContent | undefined>;
        justifyItems?: import("../../types").ResponsiveValue<import("csstype").Property.JustifyItems | undefined>;
        justifyContent?: import("../../types").ResponsiveValue<import("csstype").Property.JustifyContent | undefined>;
        flexWrap?: import("../../types").ResponsiveValue<import("csstype").Property.FlexWrap | undefined>;
        flexDirection?: import("../../types").ResponsiveValue<import("csstype").Property.FlexDirection | undefined>;
        flex?: import("../../types").ResponsiveValue<import("csstype").Property.Flex<0 | (string & {})> | undefined>;
        flexGrow?: import("../../types").ResponsiveValue<import("csstype").Property.FlexGrow | undefined>;
        flexShrink?: import("../../types").ResponsiveValue<import("csstype").Property.FlexShrink | undefined>;
        flexBasis?: import("../../types").ResponsiveValue<import("csstype").Property.FlexBasis<0 | (string & {})> | undefined>;
        justifySelf?: import("../../types").ResponsiveValue<import("csstype").Property.JustifySelf | undefined>;
        alignSelf?: import("../../types").ResponsiveValue<import("csstype").Property.AlignSelf | undefined>;
        order?: import("../../types").ResponsiveValue<import("csstype").Property.Order | undefined>;
        position?: import("../../types").ResponsiveValue<import("csstype").Property.Position | undefined>;
        zIndex?: import("../../types").ResponsiveValue<import("csstype").Property.ZIndex | undefined>;
        top?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        right?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        bottom?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        left?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
        outline?: import("../../types").ResponsiveValue<import("csstype").Property.Outline<0 | (string & {})> | undefined>;
        opacity?: import("../../types").ResponsiveValue<0 | 50 | 100 | 5 | 10 | 20 | 40 | 80 | 30 | 60 | 25 | 70 | 75 | 90 | 95 | (string & {}) | (number & {})>;
        shadow?: import("../../types").ResponsiveValue<"6" | "8" | "2" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | (string & {}) | (number & {})>;
        color?: import("../../types").ColorType;
        backgroundBlendMode?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundBlendMode | undefined>;
        backgroundSize?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundSize<0 | (string & {})> | undefined>;
        backgroundPosition?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundPosition<0 | (string & {})> | undefined>;
        backgroundRepeat?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundRepeat | undefined>;
        backgroundAttachment?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundAttachment | undefined>;
        fontFamily?: import("../../types").ResponsiveValue<"body" | "heading" | "mono" | (string & {}) | (number & {})>;
        fontSize?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "2xs" | "xs" | "3xl" | "5xl" | "6xl" | "7xl" | "4xl" | "2xl" | "8xl" | "9xl" | (string & {}) | (number & {})>;
        fontWeight?: import("../../types").ResponsiveValue<"light" | "bold" | "black" | "medium" | "hairline" | "thin" | "normal" | "semibold" | "extrabold" | "extraBlack" | (string & {}) | (number & {})>;
        lineHeight?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "2xs" | "xs" | "3xl" | "5xl" | "4xl" | "2xl" | (string & {}) | (number & {})>;
        letterSpacing?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "xs" | "2xl" | (string & {}) | (number & {})>;
        textDecorationLine?: import("../../types").ResponsiveValue<import("csstype").Property.TextDecorationLine | undefined>;
        outlineWidth?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineWidth<0 | (string & {})> | undefined>;
        cursor?: import("../../types").ResponsiveValue<import("csstype").Property.Cursor | undefined>;
        bgImage?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundImage | undefined>;
        bgImg?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundImage | undefined>;
        bgBlendMode?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundBlendMode | undefined>;
        bgSize?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundSize<0 | (string & {})> | undefined>;
        bgPosition?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundPosition<0 | (string & {})> | undefined>;
        bgPos?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundPosition<0 | (string & {})> | undefined>;
        bgRepeat?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundRepeat | undefined>;
        bgAttachment?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundAttachment | undefined>;
        textAlign?: import("../../types").ResponsiveValue<import("csstype").Property.TextAlign | undefined>;
        fontStyle?: import("../../types").ResponsiveValue<import("csstype").Property.FontStyle | undefined>;
        wordBreak?: import("../../types").ResponsiveValue<import("csstype").Property.WordBreak | undefined>;
        overflowWrap?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowWrap | undefined>;
        textOverflow?: import("../../types").ResponsiveValue<import("csstype").Property.TextOverflow | undefined>;
        textTransform?: import("../../types").ResponsiveValue<import("csstype").Property.TextTransform | undefined>;
        whiteSpace?: import("../../types").ResponsiveValue<import("csstype").Property.WhiteSpace | undefined>;
        textDecoration?: import("../../types").ResponsiveValue<import("csstype").Property.TextDecorationLine | undefined>;
        txtDecor?: import("../../types").ResponsiveValue<import("csstype").Property.TextDecorationLine | undefined>;
        borderTopRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        borderLeftRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        borderRightRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        rounded?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        roundedTopLeft?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        roundedTopRight?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        roundedBottomLeft?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        roundedBottomRight?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        roundedTop?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        borderBottomRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        roundedBottom?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        roundedLeft?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        roundedRight?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
        flexDir?: import("../../types").ResponsiveValue<import("csstype").Property.FlexDirection | undefined>;
        boxSize?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    };
};
/**
 * React hook that provides the props that should be spread on to
 * input fields (`input`, `select`, `textarea`, etc.).
 *
 * It provides a convenient way to control a form fields, validation
 * and helper text.
 */
export declare function useFormControl(props: IFormControlProps): {
    nativeID: string;
    disabled: boolean;
    readOnly: boolean;
    required: boolean;
    accessibilityInvalid: boolean | undefined;
    accessibilityRequired: boolean | undefined;
    accessibilityReadOnly: boolean | undefined;
    accessibilityDescribedBy: string | undefined;
    children?: any;
    p?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
    margin?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    m?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    marginTop?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    mt?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    marginRight?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    mr?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    marginBottom?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    mb?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    marginLeft?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    ml?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    marginX?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    mx?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    marginY?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    my?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    padding?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    paddingTop?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    pt?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    paddingRight?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    pr?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    paddingBottom?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    pb?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    paddingLeft?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    pl?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    paddingX?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    px?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    paddingY?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    py?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    borderWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
    borderStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderStyle | undefined>;
    borderColor?: import("../../types").ColorType;
    borderRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    borderTop?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTop<0 | (string & {})> | undefined>;
    borderTopWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
    borderTopStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTopStyle | undefined>;
    borderTopColor?: import("../../types").ColorType;
    borderTopLeftRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    borderTopRightRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    borderRight?: import("../../types").ResponsiveValue<import("csstype").Property.BorderRight<0 | (string & {})> | undefined>;
    borderRightWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
    borderRightStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderRightStyle | undefined>;
    borderRightColor?: import("../../types").ColorType;
    borderBottom?: import("../../types").ResponsiveValue<import("csstype").Property.BorderBottom<0 | (string & {})> | undefined>;
    borderBottomWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
    borderBottomStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderBottomStyle | undefined>;
    borderBottomColor?: import("../../types").ColorType;
    borderBottomLeftRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    borderBottomRightRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    borderLeft?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeft<0 | (string & {})> | undefined>;
    borderLeftWidth?: import("../../types").ResponsiveValue<"8" | "2" | "4" | "1" | "0" | (string & {}) | (number & {})>;
    borderLeftStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeftStyle | undefined>;
    borderLeftColor?: import("../../types").ColorType;
    borderX?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeft<0 | (string & {})> | undefined>;
    borderY?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTop<0 | (string & {})> | undefined>;
    width?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    w?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    height?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    h?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    display?: import("../../types").ResponsiveValue<import("csstype").Property.Display | undefined>;
    minWidth?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    minW?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    minH?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    minHeight?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    maxWidth?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    maxW?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    maxHeight?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    maxH?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    size?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    verticalAlign?: import("../../types").ResponsiveValue<import("csstype").Property.VerticalAlign<0 | (string & {})> | undefined>;
    overflow?: import("../../types").ResponsiveValue<import("csstype").Property.Overflow | undefined>;
    overflowX?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowX | undefined>;
    overflowY?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowY | undefined>;
    alignItems?: import("../../types").ResponsiveValue<import("csstype").Property.AlignItems | undefined>;
    alignContent?: import("../../types").ResponsiveValue<import("csstype").Property.AlignContent | undefined>;
    justifyItems?: import("../../types").ResponsiveValue<import("csstype").Property.JustifyItems | undefined>;
    justifyContent?: import("../../types").ResponsiveValue<import("csstype").Property.JustifyContent | undefined>;
    flexWrap?: import("../../types").ResponsiveValue<import("csstype").Property.FlexWrap | undefined>;
    flexDirection?: import("../../types").ResponsiveValue<import("csstype").Property.FlexDirection | undefined>;
    flex?: import("../../types").ResponsiveValue<import("csstype").Property.Flex<0 | (string & {})> | undefined>;
    flexGrow?: import("../../types").ResponsiveValue<import("csstype").Property.FlexGrow | undefined>;
    flexShrink?: import("../../types").ResponsiveValue<import("csstype").Property.FlexShrink | undefined>;
    flexBasis?: import("../../types").ResponsiveValue<import("csstype").Property.FlexBasis<0 | (string & {})> | undefined>;
    justifySelf?: import("../../types").ResponsiveValue<import("csstype").Property.JustifySelf | undefined>;
    alignSelf?: import("../../types").ResponsiveValue<import("csstype").Property.AlignSelf | undefined>;
    order?: import("../../types").ResponsiveValue<import("csstype").Property.Order | undefined>;
    position?: import("../../types").ResponsiveValue<import("csstype").Property.Position | undefined>;
    zIndex?: import("../../types").ResponsiveValue<import("csstype").Property.ZIndex | undefined>;
    top?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    right?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    bottom?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    left?: import("../../types").ResponsiveValue<"px" | "full" | "6" | "8" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (string & {}) | (number & {})>;
    bg?: import("../../types").ResponsiveValue<"contrastThreshold" | "white" | "black" | "lightText" | "darkText" | "dark.50" | "dark.100" | "dark.200" | "dark.300" | "dark.400" | "dark.500" | "dark.600" | "dark.700" | "dark.800" | "dark.900" | "rose.50" | "rose.100" | "rose.200" | "rose.300" | "rose.400" | "rose.500" | "rose.600" | "rose.700" | "rose.800" | "rose.900" | "pink.50" | "pink.100" | "pink.200" | "pink.300" | "pink.400" | "pink.500" | "pink.600" | "pink.700" | "pink.800" | "pink.900" | "fuchsia.50" | "fuchsia.100" | "fuchsia.200" | "fuchsia.300" | "fuchsia.400" | "fuchsia.500" | "fuchsia.600" | "fuchsia.700" | "fuchsia.800" | "fuchsia.900" | "purple.50" | "purple.100" | "purple.200" | "purple.300" | "purple.400" | "purple.500" | "purple.600" | "purple.700" | "purple.800" | "purple.900" | "violet.50" | "violet.100" | "violet.200" | "violet.300" | "violet.400" | "violet.500" | "violet.600" | "violet.700" | "violet.800" | "violet.900" | "indigo.50" | "indigo.100" | "indigo.200" | "indigo.300" | "indigo.400" | "indigo.500" | "indigo.600" | "indigo.700" | "indigo.800" | "indigo.900" | "blue.50" | "blue.100" | "blue.200" | "blue.300" | "blue.400" | "blue.500" | "blue.600" | "blue.700" | "blue.800" | "blue.900" | "lightBlue.50" | "lightBlue.100" | "lightBlue.200" | "lightBlue.300" | "lightBlue.400" | "lightBlue.500" | "lightBlue.600" | "lightBlue.700" | "lightBlue.800" | "lightBlue.900" | "darkBlue.50" | "darkBlue.100" | "darkBlue.200" | "darkBlue.300" | "darkBlue.400" | "darkBlue.500" | "darkBlue.600" | "darkBlue.700" | "darkBlue.800" | "darkBlue.900" | "cyan.50" | "cyan.100" | "cyan.200" | "cyan.300" | "cyan.400" | "cyan.500" | "cyan.600" | "cyan.700" | "cyan.800" | "cyan.900" | "teal.50" | "teal.100" | "teal.200" | "teal.300" | "teal.400" | "teal.500" | "teal.600" | "teal.700" | "teal.800" | "teal.900" | "emerald.50" | "emerald.100" | "emerald.200" | "emerald.300" | "emerald.400" | "emerald.500" | "emerald.600" | "emerald.700" | "emerald.800" | "emerald.900" | "green.50" | "green.100" | "green.200" | "green.300" | "green.400" | "green.500" | "green.600" | "green.700" | "green.800" | "green.900" | "lime.50" | "lime.100" | "lime.200" | "lime.300" | "lime.400" | "lime.500" | "lime.600" | "lime.700" | "lime.800" | "lime.900" | "yellow.50" | "yellow.100" | "yellow.200" | "yellow.300" | "yellow.400" | "yellow.500" | "yellow.600" | "yellow.700" | "yellow.800" | "yellow.900" | "amber.50" | "amber.100" | "amber.200" | "amber.300" | "amber.400" | "amber.500" | "amber.600" | "amber.700" | "amber.800" | "amber.900" | "orange.50" | "orange.100" | "orange.200" | "orange.300" | "orange.400" | "orange.500" | "orange.600" | "orange.700" | "orange.800" | "orange.900" | "red.50" | "red.100" | "red.200" | "red.300" | "red.400" | "red.500" | "red.600" | "red.700" | "red.800" | "red.900" | "warmGray.50" | "warmGray.100" | "warmGray.200" | "warmGray.300" | "warmGray.400" | "warmGray.500" | "warmGray.600" | "warmGray.700" | "warmGray.800" | "warmGray.900" | "trueGray.50" | "trueGray.100" | "trueGray.200" | "trueGray.300" | "trueGray.400" | "trueGray.500" | "trueGray.600" | "trueGray.700" | "trueGray.800" | "trueGray.900" | "gray.50" | "gray.100" | "gray.200" | "gray.300" | "gray.400" | "gray.500" | "gray.600" | "gray.700" | "gray.800" | "gray.900" | "coolGray.50" | "coolGray.100" | "coolGray.200" | "coolGray.300" | "coolGray.400" | "coolGray.500" | "coolGray.600" | "coolGray.700" | "coolGray.800" | "coolGray.900" | "blueGray.50" | "blueGray.100" | "blueGray.200" | "blueGray.300" | "blueGray.400" | "blueGray.500" | "blueGray.600" | "blueGray.700" | "blueGray.800" | "blueGray.900" | (string & {}) | import("../../primitives/Box/types").ILinearGradientProps>;
    backgroundColor?: import("../../types").ResponsiveValue<"contrastThreshold" | "white" | "black" | "lightText" | "darkText" | "dark.50" | "dark.100" | "dark.200" | "dark.300" | "dark.400" | "dark.500" | "dark.600" | "dark.700" | "dark.800" | "dark.900" | "rose.50" | "rose.100" | "rose.200" | "rose.300" | "rose.400" | "rose.500" | "rose.600" | "rose.700" | "rose.800" | "rose.900" | "pink.50" | "pink.100" | "pink.200" | "pink.300" | "pink.400" | "pink.500" | "pink.600" | "pink.700" | "pink.800" | "pink.900" | "fuchsia.50" | "fuchsia.100" | "fuchsia.200" | "fuchsia.300" | "fuchsia.400" | "fuchsia.500" | "fuchsia.600" | "fuchsia.700" | "fuchsia.800" | "fuchsia.900" | "purple.50" | "purple.100" | "purple.200" | "purple.300" | "purple.400" | "purple.500" | "purple.600" | "purple.700" | "purple.800" | "purple.900" | "violet.50" | "violet.100" | "violet.200" | "violet.300" | "violet.400" | "violet.500" | "violet.600" | "violet.700" | "violet.800" | "violet.900" | "indigo.50" | "indigo.100" | "indigo.200" | "indigo.300" | "indigo.400" | "indigo.500" | "indigo.600" | "indigo.700" | "indigo.800" | "indigo.900" | "blue.50" | "blue.100" | "blue.200" | "blue.300" | "blue.400" | "blue.500" | "blue.600" | "blue.700" | "blue.800" | "blue.900" | "lightBlue.50" | "lightBlue.100" | "lightBlue.200" | "lightBlue.300" | "lightBlue.400" | "lightBlue.500" | "lightBlue.600" | "lightBlue.700" | "lightBlue.800" | "lightBlue.900" | "darkBlue.50" | "darkBlue.100" | "darkBlue.200" | "darkBlue.300" | "darkBlue.400" | "darkBlue.500" | "darkBlue.600" | "darkBlue.700" | "darkBlue.800" | "darkBlue.900" | "cyan.50" | "cyan.100" | "cyan.200" | "cyan.300" | "cyan.400" | "cyan.500" | "cyan.600" | "cyan.700" | "cyan.800" | "cyan.900" | "teal.50" | "teal.100" | "teal.200" | "teal.300" | "teal.400" | "teal.500" | "teal.600" | "teal.700" | "teal.800" | "teal.900" | "emerald.50" | "emerald.100" | "emerald.200" | "emerald.300" | "emerald.400" | "emerald.500" | "emerald.600" | "emerald.700" | "emerald.800" | "emerald.900" | "green.50" | "green.100" | "green.200" | "green.300" | "green.400" | "green.500" | "green.600" | "green.700" | "green.800" | "green.900" | "lime.50" | "lime.100" | "lime.200" | "lime.300" | "lime.400" | "lime.500" | "lime.600" | "lime.700" | "lime.800" | "lime.900" | "yellow.50" | "yellow.100" | "yellow.200" | "yellow.300" | "yellow.400" | "yellow.500" | "yellow.600" | "yellow.700" | "yellow.800" | "yellow.900" | "amber.50" | "amber.100" | "amber.200" | "amber.300" | "amber.400" | "amber.500" | "amber.600" | "amber.700" | "amber.800" | "amber.900" | "orange.50" | "orange.100" | "orange.200" | "orange.300" | "orange.400" | "orange.500" | "orange.600" | "orange.700" | "orange.800" | "orange.900" | "red.50" | "red.100" | "red.200" | "red.300" | "red.400" | "red.500" | "red.600" | "red.700" | "red.800" | "red.900" | "warmGray.50" | "warmGray.100" | "warmGray.200" | "warmGray.300" | "warmGray.400" | "warmGray.500" | "warmGray.600" | "warmGray.700" | "warmGray.800" | "warmGray.900" | "trueGray.50" | "trueGray.100" | "trueGray.200" | "trueGray.300" | "trueGray.400" | "trueGray.500" | "trueGray.600" | "trueGray.700" | "trueGray.800" | "trueGray.900" | "gray.50" | "gray.100" | "gray.200" | "gray.300" | "gray.400" | "gray.500" | "gray.600" | "gray.700" | "gray.800" | "gray.900" | "coolGray.50" | "coolGray.100" | "coolGray.200" | "coolGray.300" | "coolGray.400" | "coolGray.500" | "coolGray.600" | "coolGray.700" | "coolGray.800" | "coolGray.900" | "blueGray.50" | "blueGray.100" | "blueGray.200" | "blueGray.300" | "blueGray.400" | "blueGray.500" | "blueGray.600" | "blueGray.700" | "blueGray.800" | "blueGray.900" | (string & {}) | import("../../primitives/Box/types").ILinearGradientProps>;
    outline?: import("../../types").ResponsiveValue<import("csstype").Property.Outline<0 | (string & {})> | undefined>;
    opacity?: import("../../types").ResponsiveValue<0 | 50 | 100 | 5 | 10 | 20 | 40 | 80 | 30 | 60 | 25 | 70 | 75 | 90 | 95 | (string & {}) | (number & {})>;
    shadow?: import("../../types").ResponsiveValue<"6" | "8" | "2" | "4" | "3" | "1" | "0" | "5" | "7" | "9" | (string & {}) | (number & {})>;
    color?: import("../../types").ColorType;
    backgroundBlendMode?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundBlendMode | undefined>;
    backgroundSize?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundSize<0 | (string & {})> | undefined>;
    backgroundPosition?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundPosition<0 | (string & {})> | undefined>;
    backgroundRepeat?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundRepeat | undefined>;
    backgroundAttachment?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundAttachment | undefined>;
    fontFamily?: import("../../types").ResponsiveValue<"body" | "heading" | "mono" | (string & {}) | (number & {})>;
    fontSize?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "2xs" | "xs" | "3xl" | "5xl" | "6xl" | "7xl" | "4xl" | "2xl" | "8xl" | "9xl" | (string & {}) | (number & {})>;
    fontWeight?: import("../../types").ResponsiveValue<"light" | "bold" | "black" | "medium" | "hairline" | "thin" | "normal" | "semibold" | "extrabold" | "extraBlack" | (string & {}) | (number & {})>;
    lineHeight?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "2xs" | "xs" | "3xl" | "5xl" | "4xl" | "2xl" | (string & {}) | (number & {})>;
    letterSpacing?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "xs" | "2xl" | (string & {}) | (number & {})>;
    textDecorationLine?: import("../../types").ResponsiveValue<import("csstype").Property.TextDecorationLine | undefined>;
    outlineWidth?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineWidth<0 | (string & {})> | undefined>;
    cursor?: import("../../types").ResponsiveValue<import("csstype").Property.Cursor | undefined>;
    bgImage?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundImage | undefined>;
    bgImg?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundImage | undefined>;
    bgBlendMode?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundBlendMode | undefined>;
    bgSize?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundSize<0 | (string & {})> | undefined>;
    bgPosition?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundPosition<0 | (string & {})> | undefined>;
    bgPos?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundPosition<0 | (string & {})> | undefined>;
    bgRepeat?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundRepeat | undefined>;
    bgAttachment?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundAttachment | undefined>;
    textAlign?: import("../../types").ResponsiveValue<import("csstype").Property.TextAlign | undefined>;
    fontStyle?: import("../../types").ResponsiveValue<import("csstype").Property.FontStyle | undefined>;
    wordBreak?: import("../../types").ResponsiveValue<import("csstype").Property.WordBreak | undefined>;
    overflowWrap?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowWrap | undefined>;
    textOverflow?: import("../../types").ResponsiveValue<import("csstype").Property.TextOverflow | undefined>;
    textTransform?: import("../../types").ResponsiveValue<import("csstype").Property.TextTransform | undefined>;
    whiteSpace?: import("../../types").ResponsiveValue<import("csstype").Property.WhiteSpace | undefined>;
    textDecoration?: import("../../types").ResponsiveValue<import("csstype").Property.TextDecorationLine | undefined>;
    txtDecor?: import("../../types").ResponsiveValue<import("csstype").Property.TextDecorationLine | undefined>;
    borderTopRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    borderLeftRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    borderRightRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    rounded?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    roundedTopLeft?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    roundedTopRight?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    roundedBottomLeft?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    roundedBottomRight?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    roundedTop?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    borderBottomRadius?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    roundedBottom?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    roundedLeft?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    roundedRight?: import("../../types").ResponsiveValue<"sm" | "md" | "lg" | "xl" | "full" | "xs" | "3xl" | "2xl" | "none" | (string & {}) | (number & {})>;
    flexDir?: import("../../types").ResponsiveValue<import("csstype").Property.FlexDirection | undefined>;
    boxSize?: import("../../types").ResponsiveValue<"px" | "sm" | "md" | "lg" | "xl" | "full" | "6" | "2xs" | "8" | "xs" | "12" | "16" | "24" | "32" | "2" | "0.5" | "4" | "3" | "1" | "2xl" | "0" | "5" | "7" | "9" | "1.5" | "2.5" | "3.5" | "10" | "20" | "40" | "48" | "56" | "64" | "72" | "80" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (string & {}) | (number & {})>;
    bgColor?: import("../../types").ResponsiveValue<"contrastThreshold" | "white" | "black" | "lightText" | "darkText" | "dark.50" | "dark.100" | "dark.200" | "dark.300" | "dark.400" | "dark.500" | "dark.600" | "dark.700" | "dark.800" | "dark.900" | "rose.50" | "rose.100" | "rose.200" | "rose.300" | "rose.400" | "rose.500" | "rose.600" | "rose.700" | "rose.800" | "rose.900" | "pink.50" | "pink.100" | "pink.200" | "pink.300" | "pink.400" | "pink.500" | "pink.600" | "pink.700" | "pink.800" | "pink.900" | "fuchsia.50" | "fuchsia.100" | "fuchsia.200" | "fuchsia.300" | "fuchsia.400" | "fuchsia.500" | "fuchsia.600" | "fuchsia.700" | "fuchsia.800" | "fuchsia.900" | "purple.50" | "purple.100" | "purple.200" | "purple.300" | "purple.400" | "purple.500" | "purple.600" | "purple.700" | "purple.800" | "purple.900" | "violet.50" | "violet.100" | "violet.200" | "violet.300" | "violet.400" | "violet.500" | "violet.600" | "violet.700" | "violet.800" | "violet.900" | "indigo.50" | "indigo.100" | "indigo.200" | "indigo.300" | "indigo.400" | "indigo.500" | "indigo.600" | "indigo.700" | "indigo.800" | "indigo.900" | "blue.50" | "blue.100" | "blue.200" | "blue.300" | "blue.400" | "blue.500" | "blue.600" | "blue.700" | "blue.800" | "blue.900" | "lightBlue.50" | "lightBlue.100" | "lightBlue.200" | "lightBlue.300" | "lightBlue.400" | "lightBlue.500" | "lightBlue.600" | "lightBlue.700" | "lightBlue.800" | "lightBlue.900" | "darkBlue.50" | "darkBlue.100" | "darkBlue.200" | "darkBlue.300" | "darkBlue.400" | "darkBlue.500" | "darkBlue.600" | "darkBlue.700" | "darkBlue.800" | "darkBlue.900" | "cyan.50" | "cyan.100" | "cyan.200" | "cyan.300" | "cyan.400" | "cyan.500" | "cyan.600" | "cyan.700" | "cyan.800" | "cyan.900" | "teal.50" | "teal.100" | "teal.200" | "teal.300" | "teal.400" | "teal.500" | "teal.600" | "teal.700" | "teal.800" | "teal.900" | "emerald.50" | "emerald.100" | "emerald.200" | "emerald.300" | "emerald.400" | "emerald.500" | "emerald.600" | "emerald.700" | "emerald.800" | "emerald.900" | "green.50" | "green.100" | "green.200" | "green.300" | "green.400" | "green.500" | "green.600" | "green.700" | "green.800" | "green.900" | "lime.50" | "lime.100" | "lime.200" | "lime.300" | "lime.400" | "lime.500" | "lime.600" | "lime.700" | "lime.800" | "lime.900" | "yellow.50" | "yellow.100" | "yellow.200" | "yellow.300" | "yellow.400" | "yellow.500" | "yellow.600" | "yellow.700" | "yellow.800" | "yellow.900" | "amber.50" | "amber.100" | "amber.200" | "amber.300" | "amber.400" | "amber.500" | "amber.600" | "amber.700" | "amber.800" | "amber.900" | "orange.50" | "orange.100" | "orange.200" | "orange.300" | "orange.400" | "orange.500" | "orange.600" | "orange.700" | "orange.800" | "orange.900" | "red.50" | "red.100" | "red.200" | "red.300" | "red.400" | "red.500" | "red.600" | "red.700" | "red.800" | "red.900" | "warmGray.50" | "warmGray.100" | "warmGray.200" | "warmGray.300" | "warmGray.400" | "warmGray.500" | "warmGray.600" | "warmGray.700" | "warmGray.800" | "warmGray.900" | "trueGray.50" | "trueGray.100" | "trueGray.200" | "trueGray.300" | "trueGray.400" | "trueGray.500" | "trueGray.600" | "trueGray.700" | "trueGray.800" | "trueGray.900" | "gray.50" | "gray.100" | "gray.200" | "gray.300" | "gray.400" | "gray.500" | "gray.600" | "gray.700" | "gray.800" | "gray.900" | "coolGray.50" | "coolGray.100" | "coolGray.200" | "coolGray.300" | "coolGray.400" | "coolGray.500" | "coolGray.600" | "coolGray.700" | "coolGray.800" | "coolGray.900" | "blueGray.50" | "blueGray.100" | "blueGray.200" | "blueGray.300" | "blueGray.400" | "blueGray.500" | "blueGray.600" | "blueGray.700" | "blueGray.800" | "blueGray.900" | (string & {}) | import("../../primitives/Box/types").ILinearGradientProps>;
    background?: import("../../types").ResponsiveValue<"contrastThreshold" | "white" | "black" | "lightText" | "darkText" | "dark.50" | "dark.100" | "dark.200" | "dark.300" | "dark.400" | "dark.500" | "dark.600" | "dark.700" | "dark.800" | "dark.900" | "rose.50" | "rose.100" | "rose.200" | "rose.300" | "rose.400" | "rose.500" | "rose.600" | "rose.700" | "rose.800" | "rose.900" | "pink.50" | "pink.100" | "pink.200" | "pink.300" | "pink.400" | "pink.500" | "pink.600" | "pink.700" | "pink.800" | "pink.900" | "fuchsia.50" | "fuchsia.100" | "fuchsia.200" | "fuchsia.300" | "fuchsia.400" | "fuchsia.500" | "fuchsia.600" | "fuchsia.700" | "fuchsia.800" | "fuchsia.900" | "purple.50" | "purple.100" | "purple.200" | "purple.300" | "purple.400" | "purple.500" | "purple.600" | "purple.700" | "purple.800" | "purple.900" | "violet.50" | "violet.100" | "violet.200" | "violet.300" | "violet.400" | "violet.500" | "violet.600" | "violet.700" | "violet.800" | "violet.900" | "indigo.50" | "indigo.100" | "indigo.200" | "indigo.300" | "indigo.400" | "indigo.500" | "indigo.600" | "indigo.700" | "indigo.800" | "indigo.900" | "blue.50" | "blue.100" | "blue.200" | "blue.300" | "blue.400" | "blue.500" | "blue.600" | "blue.700" | "blue.800" | "blue.900" | "lightBlue.50" | "lightBlue.100" | "lightBlue.200" | "lightBlue.300" | "lightBlue.400" | "lightBlue.500" | "lightBlue.600" | "lightBlue.700" | "lightBlue.800" | "lightBlue.900" | "darkBlue.50" | "darkBlue.100" | "darkBlue.200" | "darkBlue.300" | "darkBlue.400" | "darkBlue.500" | "darkBlue.600" | "darkBlue.700" | "darkBlue.800" | "darkBlue.900" | "cyan.50" | "cyan.100" | "cyan.200" | "cyan.300" | "cyan.400" | "cyan.500" | "cyan.600" | "cyan.700" | "cyan.800" | "cyan.900" | "teal.50" | "teal.100" | "teal.200" | "teal.300" | "teal.400" | "teal.500" | "teal.600" | "teal.700" | "teal.800" | "teal.900" | "emerald.50" | "emerald.100" | "emerald.200" | "emerald.300" | "emerald.400" | "emerald.500" | "emerald.600" | "emerald.700" | "emerald.800" | "emerald.900" | "green.50" | "green.100" | "green.200" | "green.300" | "green.400" | "green.500" | "green.600" | "green.700" | "green.800" | "green.900" | "lime.50" | "lime.100" | "lime.200" | "lime.300" | "lime.400" | "lime.500" | "lime.600" | "lime.700" | "lime.800" | "lime.900" | "yellow.50" | "yellow.100" | "yellow.200" | "yellow.300" | "yellow.400" | "yellow.500" | "yellow.600" | "yellow.700" | "yellow.800" | "yellow.900" | "amber.50" | "amber.100" | "amber.200" | "amber.300" | "amber.400" | "amber.500" | "amber.600" | "amber.700" | "amber.800" | "amber.900" | "orange.50" | "orange.100" | "orange.200" | "orange.300" | "orange.400" | "orange.500" | "orange.600" | "orange.700" | "orange.800" | "orange.900" | "red.50" | "red.100" | "red.200" | "red.300" | "red.400" | "red.500" | "red.600" | "red.700" | "red.800" | "red.900" | "warmGray.50" | "warmGray.100" | "warmGray.200" | "warmGray.300" | "warmGray.400" | "warmGray.500" | "warmGray.600" | "warmGray.700" | "warmGray.800" | "warmGray.900" | "trueGray.50" | "trueGray.100" | "trueGray.200" | "trueGray.300" | "trueGray.400" | "trueGray.500" | "trueGray.600" | "trueGray.700" | "trueGray.800" | "trueGray.900" | "gray.50" | "gray.100" | "gray.200" | "gray.300" | "gray.400" | "gray.500" | "gray.600" | "gray.700" | "gray.800" | "gray.900" | "coolGray.50" | "coolGray.100" | "coolGray.200" | "coolGray.300" | "coolGray.400" | "coolGray.500" | "coolGray.600" | "coolGray.700" | "coolGray.800" | "coolGray.900" | "blueGray.50" | "blueGray.100" | "blueGray.200" | "blueGray.300" | "blueGray.400" | "blueGray.500" | "blueGray.600" | "blueGray.700" | "blueGray.800" | "blueGray.900" | (string & {}) | import("../../primitives/Box/types").ILinearGradientProps>;
    _dark?: IFormControlProps | undefined;
    _light?: IFormControlProps | undefined;
    _web?: IFormControlProps | undefined;
    _ios?: IFormControlProps | undefined;
    _android?: IFormControlProps | undefined;
    pointerEvents?: "auto" | "none" | "box-none" | "box-only" | undefined;
    testID?: string | undefined;
    safeArea?: number | boolean | undefined;
    safeAreaY?: number | boolean | undefined;
    safeAreaTop?: number | boolean | undefined;
    safeAreaBottom?: number | boolean | undefined;
    safeAreaLeft?: number | boolean | undefined;
    safeAreaX?: number | boolean | undefined;
    safeAreaRight?: number | boolean | undefined;
    onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    accessible?: boolean | undefined;
    accessibilityActions?: readonly Readonly<{
        name: string;
        label?: string | undefined;
    }>[] | undefined;
    accessibilityLabel?: string | undefined;
    accessibilityRole?: import("react-native").AccessibilityRole | undefined;
    accessibilityState?: import("react-native").AccessibilityState | undefined;
    accessibilityHint?: string | undefined;
    accessibilityValue?: import("react-native").AccessibilityValue | undefined;
    onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
    accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
    importantForAccessibility?: "auto" | "no" | "yes" | "no-hide-descendants" | undefined;
    accessibilityElementsHidden?: boolean | undefined;
    accessibilityViewIsModal?: boolean | undefined;
    onAccessibilityEscape?: (() => void) | undefined;
    onAccessibilityTap?: (() => void) | undefined;
    onMagicTap?: (() => void) | undefined;
    accessibilityIgnoresInvertColors?: boolean | undefined;
    _text?: import("../../primitives").ITextProps | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    removeClippedSubviews?: boolean | undefined;
    collapsable?: boolean | undefined;
    needsOffscreenAlphaCompositing?: boolean | undefined;
    renderToHardwareTextureAndroid?: boolean | undefined;
    focusable?: boolean | undefined;
    shouldRasterizeIOS?: boolean | undefined;
    isTVSelectable?: boolean | undefined;
    hasTVPreferredFocus?: boolean | undefined;
    tvParallaxProperties?: import("react-native").TVParallaxProperties | undefined;
    tvParallaxShiftDistanceX?: number | undefined;
    tvParallaxShiftDistanceY?: number | undefined;
    tvParallaxTiltAngle?: number | undefined;
    tvParallaxMagnification?: number | undefined;
    onStartShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onMoveShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onResponderEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderGrant?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderReject?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderRelease?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderTerminationRequest?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onResponderTerminate?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onStartShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onMoveShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onTouchStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchCancel?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchEndCapture?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
};
export declare const useFormControlContext: () => IFormControlContext;
