/// <reference types="react" />
import { ThemeConsumer, ThemeContext } from 'styled-components/native';
import type { ITheme } from './../theme';
import type { IModeType } from './StrictMode';
export { ThemeConsumer as NativeBaseConsumer, ThemeContext as NativeBaseContext, };
export interface INativebaseConfig {
    theme?: ITheme;
    suppressColorAccessibilityWarning?: boolean;
    dependencies?: {
        'linear-gradient': any;
    };
    enableRem?: boolean;
    strictMode?: IModeType;
}
export declare const defaultConfig: INativebaseConfig;
export declare const NativeBaseConfigProvider: {
    (props: {
        config: INativebaseConfig;
        currentBreakpoint: number;
        isSSR?: boolean | undefined;
    } & {
        children: import("react").ReactNode;
    }): JSX.Element;
    displayName: string;
}, useNativeBaseConfig: (consumerName: string) => {
    config: INativebaseConfig;
    currentBreakpoint: number;
    isSSR?: boolean | undefined;
};
